Package com.macrofocus.high_d.scatterplot.swing

# Class SwingScatterPlotView<Row,C>

java.lang.Object
com.macrofocus.high_d.scatterplot.AbstractScatterPlotView<JComponent,Color,Font,Row,C>
com.macrofocus.high_d.scatterplot.swing.SwingScatterPlotView<Row,C>

All Implemented Interfaces:
  `ScatterPlotView<JComponent,Color,Font,Row,C>`

public class SwingScatterPlotView<Row,C> extends AbstractScatterPlotView<JComponent,Color,Font,Row,C>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.macrofocus.high_d.scatterplot.AbstractScatterPlotView

  `AbstractScatterPlotView.AbstractVisualLayerIDrawing`

  ## Nested classes/interfaces inherited from interface com.macrofocus.high_d.scatterplot.ScatterPlotView

  `ScatterPlotView.PropertyType`

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.scatterplot.AbstractScatterPlotView

  `canvas, model, properties, rangesScreenTransformCoordinator, screenTransform, timer, xGuide, yGuide`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwingScatterPlotView()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double[]`
  `computeOLSRegression()`
  Returns the parameters 'a' and 'b' for an equation y = a + bx, fitted to the data using ordinary least squares regression.
  `protected int`
  `getHeight()`
  `JComponent`
  `getNativeComponent()`
  `double[]`
  `getOLSRegression()`
  `MutableProperties`
  `getProperties()`
  `protected int`
  `getWidth()`
  `com.macrofocus.plot.guide.Guide`
  `getXGuide()`
  `com.macrofocus.plot.guide.Guide`
  `getYGuide()`
  `boolean`
  `isMaintainAspectRatio()`
  `boolean`
  `isShowTiming()`
  Returns whether information about refresh rate should be displayed.
  `protected void`
  `refresh()`
  `protected void`
  `repaint()`
  `protected void`
  `scheduleUpdate()`
  `void`
  `setLicenseModel(LicenseModel licenseModel)`
  `void`
  `setMaintainAspectRatio(boolean maintainAspectRatio)`
  `void`
  `setModel(ScatterPlotModel model)`
  Sets the data model and registers with it for listener notifications from the new data model.
  `void`
  `setShowTiming(boolean showTiming)`
  Sets whether information about refresh rate should be displayed.
  `protected void`
  `updateAxisType()`

  ### Methods inherited from class com.macrofocus.high_d.scatterplot.AbstractScatterPlotView

  `addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, createOverplots, getAntialiasing, getClosestRow, getColorTheme, getDisplayLabels, getGridThickness, getMarkerExtraSizeHighlight, getMarkerSize, getModel, getRegression, getRendering, getRows, getRubberBand, getScreenTransform, getShowColor, getShowFiltered, getShowGrid, getSizeProportion, getXRangeModel, getYRangeModel, isSelectionMode, populateOverplots, resetXAxis, resetYAxis, setAntialiasing, setColorTheme, setRendering, setSelectionMode, setShowFiltered, updateIntervals, zoom`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SwingScatterPlotView

    public SwingScatterPlotView()

- ## Method Details

  - ### scheduleUpdate

    protected void scheduleUpdate()
    Specified by:
      `scheduleUpdate` in class `AbstractScatterPlotView<JComponent,Color,Font,Row,C>`

  - ### updateAxisType

    protected void updateAxisType()
    Specified by:
      `updateAxisType` in class `AbstractScatterPlotView<JComponent,Color,Font,Row,C>`

  - ### getWidth

    protected int getWidth()
    Specified by:
      `getWidth` in class `AbstractScatterPlotView<JComponent,Color,Font,Row,C>`

  - ### getHeight

    protected int getHeight()
    Specified by:
      `getHeight` in class `AbstractScatterPlotView<JComponent,Color,Font,Row,C>`

  - ### repaint

    protected void repaint()
    Specified by:
      `repaint` in class `AbstractScatterPlotView<JComponent,Color,Font,Row,C>`

  - ### getNativeComponent

    public JComponent getNativeComponent()

  - ### setModel

    public void setModel(ScatterPlotModel model)
    Sets the data model and registers with it for listener notifications from the new data model.
    Specified by:
      `setModel` in interface `ScatterPlotView<JComponent,Color,Font,Row,C>`
    Overrides:
      `setModel` in class `AbstractScatterPlotView<JComponent,Color,Font,Row,C>`
    Parameters:
      `model` - the new data model
    See Also:
      - `ScatterPlotView.getModel()`

  - ### setLicenseModel

    public void setLicenseModel(LicenseModel licenseModel)

  - ### isShowTiming

    public boolean isShowTiming()
    Description copied from interface: `ScatterPlotView`
    Returns whether information about refresh rate should be displayed.
    Returns:
      true to display refresh rate information, false otherwise

  - ### setShowTiming

    public void setShowTiming(boolean showTiming)
    Description copied from interface: `ScatterPlotView`
    Sets whether information about refresh rate should be displayed.
    Parameters:
      `showTiming` - true to display refresh rate information, false otherwise

  - ### getXGuide

    public com.macrofocus.plot.guide.Guide getXGuide()
    Specified by:
      `getXGuide` in interface `ScatterPlotView<JComponent,Color,Font,Row,C>`
    Overrides:
      `getXGuide` in class `AbstractScatterPlotView<JComponent,Color,Font,Row,C>`

  - ### getYGuide

    public com.macrofocus.plot.guide.Guide getYGuide()
    Specified by:
      `getYGuide` in interface `ScatterPlotView<JComponent,Color,Font,Row,C>`
    Overrides:
      `getYGuide` in class `AbstractScatterPlotView<JComponent,Color,Font,Row,C>`

  - ### refresh

    protected void refresh()
    Specified by:
      `refresh` in class `AbstractScatterPlotView<JComponent,Color,Font,Row,C>`

  - ### setMaintainAspectRatio

    public void setMaintainAspectRatio(boolean maintainAspectRatio)

  - ### isMaintainAspectRatio

    public boolean isMaintainAspectRatio()

  - ### getProperties

    public MutableProperties getProperties()

  - ### getOLSRegression

    public double[] getOLSRegression()

  - ### computeOLSRegression

    public double[] computeOLSRegression()
    Returns the parameters 'a' and 'b' for an equation y = a + bx, fitted to the data using ordinary least squares regression. The result is returned as a double[], where result[0] --> a, and result[1] --> b.
    Returns:
      The parameters.